package models

type Artifact struct {
	AttrPath string `json:"attr_path,omitempty" bson:"attr_path,omitempty" validate:"required"`
	AttrFrom string `json:"from_path,omitempty" bson:"from_path,omitempty"`
	Readonly bool   `json:"readonly" bson:"readonly" default:"true"`
}

type Param struct {
	Attr      string `json:"attr" bson:"attr" validate:"required"`
	Value     string `json:"value,omitempty" bson:"value,omitempty"`
	Readonly  bool   `json:"readonly" bson:"readonly" default:"true"`
	Optionnal bool   `json:"optionnal" bson:"optionnal" default:"true"`
}

type InOutputs struct {
	Params    []Param    `json:"parameters" bson:"parameters"`
	Artifacts []Artifact `json:"artifacts" bson:"artifacts"`
}
